配置Keepaway运行环境

        Keepaway常常出现在强化学习算法的实验中,但是由于其基于RoboCup,而且要求的版本较早,配置起来很不方便,故在成功配置之后记录一下。
        配置Keepaway主要根据 Keepaway Framework Tutorial,对于不合适的地方做出一些修改。
        首先说一下环境变量,我在配置运行环境时没有导入任何环境变量,这主要是因为我懒,所以这方面根据各自的需求来决定。
        然后说一下系统环境,我用的是32位的Ubuntu 12.04,编译器(gcc、g++)版本是4.6.3。我之所以选12.04,是因为这是官网提供下载的最老的版本,之所以不找更早的版本是考虑到软件包支持的问题,太早的版本可能用不了aptitude安装软件,而我们的安装过程中要下载不少软件。我之前就试过一次,找了个Ubuntu 9.04,系统自带的源连不上,自己找的源各种提示已安装软件版本太低。
        再说一下需要下载的源码。三个 RoboCup 安装包方面,我用的是rcssbase-9.4.5、rcssserver-15.3.0 和 rcssmonitor-9.3.7。rcssbase 和 rcssmonitor在上面那个链接中可以下载,中间那个rcssserver可以在The RoboCup Soccer Simulator下载。Keepaway的安装包我用的是 Keepaway repository at GitHub。有两个不是 Tutorial 指定的的版本,那是因为装不上。
         再然后就是安装编译环境。

  • sudo apt-get install nautilus-open-terminal:非必须,为了让弹出菜单有“在终端打开”的菜单栏,方便后面操作,重启后生效。
  • 下面是编译RoboCup需要的环境
    • sudo apt-get install build-essential:不确定要不要,下次试一下不安装
    • sudo apt-get install xorg-dev
    • sudo apt-get install flex bison
    • sudo apt-get install libboost-dev libboost-all-dev
    • sudo apt-get install libqt4-dev libqt4-gui qt4-dev-tools qt4-doc qt4-designer qt4-qtconfig
    • sudo apt-get install libpng*
    • sudo apt-get install libglib2.0-dev
    • sudo apt-get install libaudio-dev
    • sudo apt-get install zlib*
  • 下面是编译或执行Keepaway代码需要的
    • sudo apt-get install xutils-dev:执行make depend 命令需要
    • sudo apt-get install csh:执行编译出来的monitor程序需要
  • 执行命令sudo /sbin/ldconfig,否则可能会提示某个动态链接库找不到

        最后就是编译源码。对于RoboCup的三个源码,用下面三条命令编译安装

  • ./configure
  • make
  • sudo make install

至于Keepaway的代码,用之前那个 Tutorial 里的步骤编译即可(记得用Github上的源码)。在编译过程中可能会遇到错误,不用担心,这些错误都可以根据错误提示修改过来。


参考资料

阅读更多
版权声明:本文为博主原创文章,未经博主允许不得转载。 https://blog.csdn.net/u011008379/article/details/80342576
文章标签: Keepaway 环境配置
个人分类: 环境配置
上一篇通过Vim执行Python3脚本遇到的坑
下一篇通过deb包安装老版本的GCC
想对作者说点什么? 我来说一句

没有更多推荐了,返回首页

关闭
关闭
关闭